LibreOffice: SubmissionPropertyHandler Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
SubmissionPropertyHandler Service Reference

implements a property handler for use with a com::sun::star::inspection::ObjectInspector which provides properties for button controls which support submission of XML forms. More...

Inheritance diagram for SubmissionPropertyHandler:

## Exported Interfaces
interface | com::sun::star::inspection::XPropertyHandler
Exported Interfaces inherited from XPropertyHandler
interface | com::sun::star::lang::XComponent
| used for controlling resources acquired by the handler

## Additional Inherited Members
Public Member Functions inherited from XPropertyHandler
void | inspect ([in] com::sun::star::uno::XInterface Component) raises ( com::sun::star::lang::NullPointerException )
| binds the property handler to a new component
any | getPropertyValue ([in] string PropertyName) raises (::com::sun::star::beans::UnknownPropertyException)
| retrieves the current value of a property
void | setPropertyValue ([in] string PropertyName, [in] any Value) raises (::com::sun::star::beans::UnknownPropertyException, ::com::sun::star::beans::PropertyVetoException)
| sets the value of a property
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises (::com::sun::star::beans::UnknownPropertyException)
| returns the state of a property
LineDescriptor | describePropertyLine ([in] string PropertyName, [in] XPropertyControlFactory ControlFactory) raises (::com::sun::star::beans::UnknownPropertyException, ::com::sun::star::lang::NullPointerException)
| describes the UI to be used to represent the property
any | convertToPropertyValue ([in] string PropertyName, [in] any ControlValue) raises (::com::sun::star::beans::UnknownPropertyException)
| converts a given control-compatible value to a property value
any | convertToControlValue ([in] string PropertyName, [in] any PropertyValue, [in] type ControlValueType) raises (::com::sun::star::beans::UnknownPropertyException)
| converts a given property value to a control-compatible value
void | addPropertyChangeListener ([in] com::sun::star::beans::XPropertyChangeListener Listener) raises ( com::sun::star::lang::NullPointerException )
| registers a listener for notification about property value changes
void | removePropertyChangeListener ([in] com::sun::star::beans::XPropertyChangeListener Listener)
| revokes a listener for notification about property value changes
sequence< com::sun::star::beans::Property > | getSupportedProperties ()
| returns the properties which the handler can handle
sequence< string > | getSupersededProperties ()
| returns the properties which are to be superseded by this handler
sequence< string > | getActuatingProperties ()
| retrieve the actuating properties which this handler is interested in
boolean | isComposable ([in] string PropertyName) raises (::com::sun::star::beans::UnknownPropertyException)
| determines whether a given property, which the handler is responsible for, is composable.
::com::sun::star::inspection::InteractiveSelectionResult | onInteractivePropertySelection ([in] string PropertyName, [in] boolean Primary, [out] any outData, [in] XObjectInspectorUI InspectorUI) raises (::com::sun::star::beans::UnknownPropertyException, ::com::sun::star::lang::NullPointerException)
| called when a browse button belonging to a property UI representation has been clicked
void | actuatingPropertyChanged ([in] string ActuatingPropertyName, [in] any NewValue, [in] any OldValue, [in] XObjectInspectorUI InspectorUI, [in] boolean FirstTimeInit) raises (::com::sun::star::lang::NullPointerException)
| updates the UI of dependent properties when the value of a certain actuating property changed
boolean | suspend ([in] boolean Suspend)
| suspends the handler
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

implements a property handler for use with a com::sun::star::inspection::ObjectInspector which provides properties for button controls which support submission of XML forms.

The handler expects a value named "ContextDocument" in the context in which it is created. That is, the com::sun::star::uno::XComponentContext used for creating the CellBindingPropertyHandler is examined for a value with this name. If the object in this value denotes a XML form document (indicated by supporting the com::sun::star::xforms::XFormsSupplier interface), this document is used to examine the XML submissions which the button can be bound to.

See also
  com::sun::star::inspection::XPropertyHandler
  com::sun::star::form::submission::XSubmission
  com::sun::star::form::submission::XSubmissionProvider
  com::sun::star::form::component::SubmitButton
  com::sun::star::xforms::XSubmission
  com::sun::star::uno::XComponentContext::getValueByName

## Exported Interfaces

## ◆ com::sun::star::inspection::XPropertyHandler

interface com::sun::star::inspection::XPropertyHandler

The documentation for this service was generated from the following file:

- com/sun/star/form/inspection/SubmissionPropertyHandler.idl